```
import 'package:flutter/material.dart';
import 'package:hb_password_input_textfield/hb_password_input_textfield.dart';

void main() {
  runApp(MyApp());
}

class MyApp extends StatelessWidget {
  // This widget is the root of your application.
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'HBPasswordInputTextField Demo',
      theme: ThemeData(
        primarySwatch: Colors.blue,
        
        visualDensity: VisualDensity.adaptivePlatformDensity,
      ),
      home: HBPasswordInputTextFieldPage(),
    );
  }
}

class HBPasswordInputTextFieldPage extends StatefulWidget {
  @override
  _HBPasswordInputTextFieldPageState createState() =>
      _HBPasswordInputTextFieldPageState();
}

class _HBPasswordInputTextFieldPageState
    extends State<HBPasswordInputTextFieldPage> {
  // int length = 0;
  TextEditingController _controller = TextEditingController();
  FocusNode _node = FocusNode();
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text("HBPasswordInputTextField"),
      ),
      body: GestureDetector(
          behavior: HitTestBehavior.opaque,
          onTap: () {
            _node.unfocus();
          },
          child: Container(
            margin: EdgeInsets.only(top: 50),
            child: HBPasswordInputTextField(
              // backgroundColor: Colors.red,
              // fillColor: Colors.red,
              borderWidth: 0.5,
              borderRaiuds: 5,
              controller: _controller,
              node: _node,
              backgroundColor: Colors.red,
              obscureText: true,
              // obscureTextString: "🤪",
              // boxWidth: 50,
              // boxHeight: 50,
              type: HBPasswordInputTextFieldType.BOXES,
              length: 6,
              textStyle: TextStyle(fontSize: 20),
              onChange: (text) {
                print(text);
              },
            ),
          )),
    );
  }
}
```